//  Created by Frank M. Carrano and Tim Henry.
//  Copyright (c) 2013 __Pearson Education__. All rights reserved.

// To compile: g++ -std=c++11 BagTest.cpp
// Note ArrayBag code was not included and commented out

/** Listing 4-4. */
#include "BagInterface.h"
#include "LinkedBag.h"
#include <iostream>
#include <string>

void displayBag(LinkedBag<std::string>& aBag)
{
   std::cout << "The bag contains " << aBag.getCurrentSize()
             << " items:" << std::endl;

   std::vector<std::string> bagItems = aBag.toVector();
   int numberOfEntries = bagItems.size();
   for (int i = 0; i < numberOfEntries; i++)
   {
      std::cout << bagItems[i] << " ";
   } // end for
   std::cout << std::endl << std::endl;
} // end displayBag

int main()
{
   LinkedBag<std::string> aBag, theBag;
   aBag.add("A");
   aBag.add("b");
   aBag.add("c");
   aBag.add("d");
   displayBag(aBag);

   theBag = aBag;
   displayBag(theBag);

   std::cout << "All done!" << std::endl;
   
   return 0;
} // end main
